package com.nationrel.modules.pdsc.api;

import com.nationrel.modules.pdsc.api.fallback.NationrelSystemAPIFallback;
import com.nationrel.modules.pdsc.resp.SysUserResp;
import org.jeecg.common.constant.ServiceNameConstants;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
@FeignClient(value = ServiceNameConstants.SERVICE_SYSTEM, fallbackFactory = NationrelSystemAPIFallback.class)
public interface NationrelSystemApi {

    /**
     * 查询用户
     *
     * @param userIds 用户ID集合
     * @return 结果
     */
    @GetMapping("/sys/api/listSysUserByIds")
    List<SysUserResp> listSysUserByIds(@RequestParam("userIds") List<String> userIds);
}
