package com.nationrel.modules.pdsc.api.fallback;

import com.nationrel.modules.pdsc.api.NationrelSystemApi;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @author nationrel
 */
@Slf4j
@Component
public class NationrelSystemAPIFallback implements FallbackFactory<NationrelSystemApi> {

    @Setter
    private Throwable cause;

    @Override
    public NationrelSystemApi create(Throwable throwable) {
        log.error("微服务接口调用失败： {}", cause);
        return null;
    }

}
