package com.nationrel.modules.pdsc.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.Date;

/**
 * @Description: 项目信息列表
 * @Author: zhangkai
 * @Date: 2024/5/29
 * @Version: V1.0
 */
@Schema(description = "项目信息列表")
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public class ProjectInfoListDto {

    /**
     * 主键
     */
    private String id;
    /**
     * PDSC编号
     */
    private String code;
    /**
     * PDSC名称
     */
    private String name;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 项目类型
     */
    private String projectType;
    /**
     * 项目阶段
     */
    private String projectStage;
    /**
     * CTQ等级
     */
    private String ctqGrade;
    /**
     * Owner
     */
    private String owner;
    /**
     * 状态
     */
    private String status;
    /**
     * 版本
     */
    private Integer version;
    /**
     * 下一版本
     */
    private Integer nextVersion;
    /**
     * 第零关卡时间
     */
    private Date zeroLevelTime;
    /**
     * 第一关卡时间
     */
    private Date oneLevelTime;
    /**
     * 第二关卡时间
     */
    private Date twoLevelTime;
    /**
     * 第三关卡时间
     */
    private Date threeLevelTime;
    /**
     * 第四关卡时间
     */
    private Date fourLevelTime;
    /**
     * 第五关卡时间
     */
    private Date fiveLevelTime;
    /**
     * 第六关卡时间
     */
    private Date sixLevelTime;
    /**
     * 删除状态
     */
    private Integer delFlag;
    /**
     * 删除时间
     */
    private Date deleteTime;
    /**
     * 创建人
     */
    private String createBy;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新人
     */
    private String updateBy;
    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 租户号
     */
    private Integer tenantId;
    /**
     * 所属部门
     */
    private String sysOrgCode;
    /**
     * 按钮操作，0:编辑，1:查看
     */
    private Integer btnOperation;
}
