package com.nationrel.modules.pdsc.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: pdsc_actual_performance
 * @Author: nationrel
 * @Date: 2024-05-30
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "pdsc_actual_performance", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "pdsc_actual_performance")
public class PdscActualPerformance implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
    /**
     * PDSC
     */
    @Excel(name = "PDSC", width = 15)
    @Schema(description = "PDSC")
    private String pdscId;
    /**
     * 平均值
     */
    @Excel(name = "平均值", width = 15)
    @Schema(description = "平均值")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal average;
    /**
     * 标准差
     */
    @Excel(name = "标准差", width = 15)
    @Schema(description = "标准差")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal standard;
    /**
     * MSA
     */
    @Excel(name = "MSA", width = 15)
    @Schema(description = "MSA")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal msa;
    /**
     * 测试单元数
     */
    @Excel(name = "测试单元数", width = 15)
    @Schema(description = "测试单元数")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal testNumber;
    /**
     * 估计最小值
     */
    @Excel(name = "估计最小值", width = 15)
    @Schema(description = "估计最小值")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal minValue;
    /**
     * 估计最可能值
     */
    @Excel(name = "估计最可能值", width = 15)
    @Schema(description = "估计最可能值")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal possibleValue;
    /**
     * 估计最大值
     */
    @Excel(name = "估计最大值", width = 15)
    @Schema(description = "估计最大值")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal maxValue;
    /**
     * 等效Z值
     */
    @Excel(name = "等效Z值", width = 15)
    @Schema(description = "等效Z值")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @JsonProperty(value = "zValue")
    private BigDecimal zValue;
    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
}
