package com.nationrel.modules.pdsc.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: pdsc_ctq_property
 * @Author: nationrel
 * @Date: 2024-05-30
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "pdsc_ctq_property", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "pdsc_ctq_property")
public class PdscCtqProperty implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
    /**
     * PDSC
     */
    @Excel(name = "PDSC", width = 15)
    @Schema(description = "PDSC")
    private String pdscId;
    /**
     * Owner
     */
    @Excel(name = "Owner", width = 15)
    @Schema(description = "Owner")
    @TableField("`owner`")
    private String owner;
    /**
     * CTQ类型
     */
    @Excel(name = "CTQ类型", width = 15)
    @Schema(description = "CTQ类型")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private String type;
    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
}
