package com.nationrel.modules.pdsc.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: pdsc_defect_confine
 * @Author: nationrel
 * @Date: 2024-05-30
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "pdsc_defect_confine", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "pdsc_defect_confine")
public class PdscDefectConfine implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
    /**
     * PDSC
     */
    @Excel(name = "PDSC", width = 15)
    @Schema(description = "PDSC")
    private String pdscId;
    /**
     * Z分数黄色规格下限（短期）
     */
    @Excel(name = "Z分数黄色规格下限（短期）", width = 15)
    @Schema(description = "Z分数黄色规格下限（短期）")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @JsonProperty("zYellowLower")
    private BigDecimal zYellowLower;
    /**
     * Z分数绿色规格下限（短期）
     */
    @Excel(name = "Z分数绿色规格下限（短期）", width = 15)
    @Schema(description = "Z分数绿色规格下限（短期）")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @JsonProperty("zGreenLower")
    private BigDecimal zGreenLower;
    /**
     * 黄色规格下限
     */
    @Excel(name = "黄色规格下限", width = 15)
    @Schema(description = "黄色规格下限")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal yellowLower;
    /**
     * 绿色规格下限
     */
    @Excel(name = "绿色规格下限", width = 15)
    @Schema(description = "绿色规格下限")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal greenLower;
    /**
     * 黄色规格上限
     */
    @Excel(name = "黄色规格上限", width = 15)
    @Schema(description = "黄色规格上限")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Integer yellowUpper;
    /**
     * 绿色规格上限
     */
    @Excel(name = "绿色规格上限", width = 15)
    @Schema(description = "绿色规格上限")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal greenUpper;
    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
}
