package com.nationrel.modules.pdsc.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description: pdsc_design_require
 * @Author: nationrel
 * @Date: 2024-05-30
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "pdsc_design_require", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "pdsc_design_require")
public class PdscDesignRequire implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
    /**
     * PDSC
     */
    @Excel(name = "PDSC", width = 15)
    @Schema(description = "PDSC")
    private String pdscId;
    /**
     * 目标
     */
    @Excel(name = "目标", width = 15)
    @Schema(description = "目标")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal target;
    /**
     * 规格下限
     */
    @Excel(name = "规格下限", width = 15)
    @Schema(description = "规格下限")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal lower;
    /**
     * 规格上限
     */
    @Excel(name = "规格上限", width = 15)
    @Schema(description = "规格上限")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal upper;
    /**
     * 最可能的目标
     */
    @Excel(name = "最可能的目标", width = 15)
    @Schema(description = "最可能的目标")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private BigDecimal possibleTarget;
    /**
     * 等效正常Z的目标
     */
    @Excel(name = "等效正常Z的目标", width = 15)
    @Schema(description = "等效正常Z的目标")
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    @JsonProperty("zNormalTarget")
    private BigDecimal zNormalTarget;
    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
}
