package com.nationrel.modules.pdsc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: pdsc_maturity
 * @Author: nationrel
 * @Date: 2024-06-05
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "pdsc_maturity", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "pdsc_maturity")
public class PdscMaturity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
    /**
     * PDSC
     */
    @Excel(name = "PDSC", width = 15)
    @Schema(description = "PDSC")
    private String pdscId;
    /**
     * 客户声音
     */
    @Excel(name = "客户声音", width = 15)
    @Schema(description = "客户声音")
    private String customerVoice;
    /**
     * 硬件
     */
    @Excel(name = "硬件", width = 15)
    @Schema(description = "硬件")
    private String hardware;
    /**
     * 制造
     */
    @Excel(name = "制造", width = 15)
    @Schema(description = "制造")
    private String manufacture;
    /**
     * 支持CTQ
     */
    @Excel(name = "支持CTQ", width = 15)
    @Schema(description = "支持CTQ")
    private String supportCtq;
    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新时间")
    private Date updateTime;
}
