package com.nationrel.modules.pdsc.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: project_info_pdsc
 * @Author: nationrel
 * @Date: 2024-05-28
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "project_info_pdsc", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "project_info_pdsc")
public class ProjectInfoPdsc implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @Schema(description = "项目ID")
    private String projectId;
    /**
     * 编号
     */
    @Excel(name = "编号", width = 15)
    @Schema(description = "编号")
    private String code;
    /**
     * 优先级
     */
    @Excel(name = "优先级", width = 15)
    @Schema(description = "优先级")
    private String priority;
    /**
     * 排序
     */
    @Excel(name = "排序", width = 15)
    @Schema(description = "排序")
    private Integer sortNo;
    /**
     * 描述
     */
    @Excel(name = "描述", width = 15)
    @Schema(description = "描述")
    private String description;
    /**
     * 创建人
     */
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
    /**
     * 更新人
     */
    @Schema(description = "更新人")
    private String updateBy;
    /**
     * 更新日期
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "更新日期")
    private Date updateTime;
    /**
     * 所属部门
     */
    @Schema(description = "所属部门")
    private String sysOrgCode;
}
