package com.nationrel.modules.pdsc.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.Accessors;
import org.jeecg.common.aspect.annotation.Dict;
import org.jeecgframework.poi.excel.annotation.Excel;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: project_info_person
 * @Author: nationrel
 * @Date: 2024-05-27
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@TableName(value = "project_info_person", autoResultMap = true)
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description = "project_info_person")
public class ProjectInfoPerson implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.ASSIGN_ID)
    @Schema(description = "主键")
    private String id;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @Schema(description = "项目ID")
    private String projectId;
    /**
     * 用户ID
     */
    @Excel(name = "用户ID", width = 15)
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "id")
    @Schema(description = "用户ID")
    private String userId;
    /**
     * 核心成员：core、扩展成员：extend
     */
    @Excel(name = "核心成员：core、扩展成员：extend", width = 15)
    @Schema(description = "核心成员：core、扩展成员：extend")
    private String teamType;
    /**
     * 创建人
     */
    @Dict(dictTable = "sys_user", dicText = "realname", dicCode = "username")
    @Schema(description = "创建人")
    private String createBy;
    /**
     * 创建时间
     */
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Schema(description = "创建时间")
    private Date createTime;
}
