package com.nationrel.modules.pdsc.req;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.*;

/**
 * @Description: PDSC插入行
 * @Author: zhangkai
 * @Date: 2024/5/29
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "PDSC插入行")
public class PdscSaveRowReq {

    /**
     * 项目ID
     */
    @NotBlank(message = "{nationrel_parameter_empty}")
    private String projectId;
    /**
     * 排序
     */
    @NotNull(message = "{nationrel_parameter_empty}")
    private Integer sortNo;
    /**
     * 0：向上插入、1：向下插入
     */
    @NotNull(message = "{nationrel_parameter_empty}")
    private Integer optType;
}
