package com.nationrel.modules.pdsc.req;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/**
 * @Description: PDSC清除行
 * @Author: zhangkai
 * @Date: 2024/5/29
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "PDSC清除行")
public class ProjectInfoListReq {

    /**
     * 删除状态
     */
    private Integer delFlag;
    /**
     * 用户ID
     */
    private String userId;
    /**
     * PDSC编号
     */
    private String code;
    /**
     * PDSC名称
     */
    private String name;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 产品名称
     */
    private String productName;
    /**
     * 项目类型
     */
    private String projectType;
    /**
     * 项目阶段
     */
    private String projectStage;
    /**
     * CTQ等级
     */
    private String ctqGrade;
    /**
     * Owner
     */
    private String owner;
    /**
     * 所属部门
     */
    private String sysOrgCode;
    /**
     * 状态
     */
    private String status;
    /**
     * 版本
     */
    private Integer version;
    /**
     * 第零关卡时间：开始
     */
    private String zeroLevelTime_begin;
    /**
     * 第零关卡时间：结束
     */
    private String zeroLevelTime_end;
    /**
     * 第一关卡时间：开始
     */
    private String oneLevelTime_begin;
    /**
     * 第一关卡时间：结束
     */
    private String oneLevelTime_end;
    /**
     * 第二关卡时间：开始
     */
    private String twoLevelTime_begin;
    /**
     * 第二关卡时间：结束
     */
    private String twoLevelTime_end;
    /**
     * 第三关卡时间：开始
     */
    private String threeLevelTime_begin;
    /**
     * 第三关卡时间：结束
     */
    private String threeLevelTime_end;
    /**
     * 第四关卡时间：开始
     */
    private String fourLevelTime_begin;
    /**
     * 第四关卡时间：结束
     */
    private String fourLevelTime_end;
    /**
     * 第五关卡时间：开始
     */
    private String fiveLevelTime_begin;
    /**
     * 第五关卡时间：结束
     */
    private String fiveLevelTime_end;
    /**
     * 第六关卡时间：开始
     */
    private String sixLevelTime_begin;
    /**
     * 第六关卡时间：结束
     */
    private String sixLevelTime_end;
    /**
     * 创建日期：开始
     */
    private String createTime_begin;
    /**
     * 创建日期：结束
     */
    private String createTime_end;
    /**
     * 删除日期：开始
     */
    private String deleteTime_begin;
    /**
     * 删除日期：结束
     */
    private String deleteTime_end;
}
