package com.nationrel.modules.pdsc.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

/**
 * @Description: 实际性能
 * @Author: zhangkai
 * @Date: 2024/5/30
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "实际性能")
public class PdscActualPerformanceVo {

    /**
     * 主键
     */
    private String id;
    /**
     * 平均值
     */
    private BigDecimal average;
    /**
     * 标准差
     */
    private BigDecimal standard;
    /**
     * MSA
     */
    private BigDecimal msa;
    /**
     * 测试单元数
     */
    private BigDecimal testNumber;
    /**
     * 估计最小值
     */
    private BigDecimal minValue;
    /**
     * 估计最可能值
     */
    private BigDecimal possibleValue;
    /**
     * 估计最大值
     */
    private BigDecimal maxValue;
    /**
     * 等效Z值
     */
    @JsonProperty("zValue")
    private BigDecimal zValue;
}
