package com.nationrel.modules.pdsc.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

/**
 * @Description: 缺陷率限制
 * @Author: zhangkai
 * @Date: 2024/5/30
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "缺陷率限制")
public class PdscDefectConfineVo {
    /**
     * 主键
     */
    private String id;
    /**
     * Z分数黄色规格下限（短期）
     */
    @JsonProperty("zYellowLower")
    private BigDecimal zYellowLower;
    /**
     * Z分数绿色规格下限（短期）
     */
    @JsonProperty("zGreenLower")
    private BigDecimal zGreenLower;
    /**
     * 黄色规格下限
     */
    private BigDecimal yellowLower;
    /**
     * 绿色规格下限
     */
    private BigDecimal greenLower;
    /**
     * 黄色规格上限
     */
    private Integer yellowUpper;
    /**
     * 绿色规格上限
     */
    private BigDecimal greenUpper;
}
