package com.nationrel.modules.pdsc.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

/**
 * @Description: 设计要求
 * @Author: zhangkai
 * @Date: 2024/5/30
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "设计要求")
public class PdscDesignRequireVo {
    /**
     * 主键
     */
    private String id;
    /**
     * 目标
     */
    private BigDecimal target;
    /**
     * 规格下限
     */
    private BigDecimal lower;
    /**
     * 规格上限
     */
    private BigDecimal upper;
    /**
     * 最可能的目标
     */
    private BigDecimal possibleTarget;
    /**
     * 等效正常Z的目标
     */
    @JsonProperty("zNormalTarget")
    private BigDecimal zNormalTarget;
}
