package com.nationrel.modules.pdsc.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

/**
 * @Description: PDSC插入行
 * @Author: zhangkai
 * @Date: 2024/5/29
 * @Version: V1.0
 */
@Builder
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Schema(description = "PDSC列表全部")
public class PdscListAllVo {

    /**
     * 主键
     */
    private String id;
    /**
     * 编号
     */
    private String code;
    /**
     * 优先级
     */
    private String priority;
    /**
     * 排序
     */
    private Integer sortNo;
    /**
     * CTQ描述
     */
    private PdscCtqDescriptionVo ctqDescription;
    /**
     * CTQ属性
     */
    private PdscCtqPropertyVo ctqProperty;
    /**
     * 设计要求
     */
    private PdscDesignRequireVo designRequire;
    /**
     * 缺陷率限制
     */
    private PdscDefectConfineVo defectConfine;
    /**
     * 实际性能
     */
    private PdscActualPerformanceVo actualPerformance;
    /**
     * 成熟度
     */
    private PdscMaturityVo maturity;
    /**
     * 描述
     */
    private String description;
    /**
     * 项目类型
     */
    private String projectType;
    /**
     * 项目阶段
     */
    private Integer projectStage;
    /**
     * 级别
     */
    private String ctqGrade;
    /**
     * 按钮操作，0:编辑，1:查看
     */
    private Integer btnOperation;
}
