package com.nationrel.modules.pdsc.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nationrel.modules.pdsc.dto.ProjectInfoListDto;
import com.nationrel.modules.pdsc.entity.ProjectInfo;
import com.nationrel.modules.pdsc.req.ProjectInfoListReq;
import org.apache.ibatis.annotations.Param;
import org.jeecg.common.api.IPageExtField;

import java.util.List;

/**
 * @Description: 项目信息
 * @Author: nationrel
 * @Date: 2024-03-26
 * @Version: V1.0
 */
public interface ProjectInfoMapper extends BaseMapper<ProjectInfo> {

    /**
     * 分页列表查询
     *
     * @param req  请求
     * @param page 分页
     * @return 结果
     */
    IPageExtField<ProjectInfoListDto> list(@Param("req") ProjectInfoListReq req, @Param("page") IPageExtField<ProjectInfo> page);

    /**
     * 列表查询
     *
     * @param req 请求
     * @return 结果
     */
    List<ProjectInfoListDto> list(@Param("req") ProjectInfoListReq req);
}
