package com.nationrel.modules.pdsc.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.nationrel.modules.pdsc.entity.ProjectInfoPdsc;
import com.nationrel.modules.pdsc.req.PdscCleanRowReq;
import com.nationrel.modules.pdsc.req.PdscDeleteRowReq;
import com.nationrel.modules.pdsc.req.PdscPasteRowReq;
import com.nationrel.modules.pdsc.req.PdscSaveRowReq;
import com.nationrel.modules.pdsc.vo.PdscListAllVo;

import java.util.List;

/**
 * @Description: project_info_pdsc
 * @Author: nationrel
 * @Date: 2024-05-28
 * @Version: V1.0
 */
public interface IProjectInfoPdscService extends IService<ProjectInfoPdsc> {

    /**
     * PDSC-插入行
     *
     * @param req 请求
     */
    void saveRow(PdscSaveRowReq req);

    /**
     * PDSC-删除行
     *
     * @param req 请求
     */
    void deleteRow(PdscDeleteRowReq req);

    /**
     * 全部列表查询
     *
     * @param projectInfoPdsc 请求
     * @return 结果
     */
    List<PdscListAllVo> listAll(ProjectInfoPdsc projectInfoPdsc);

    /**
     * PDSC-清除行
     *
     * @param req 请求
     */
    void cleanRow(PdscCleanRowReq req);

    /**
     * PDSC-粘贴行
     *
     * @param req 请求
     */
    void pasteRow(PdscPasteRowReq req);
}
